import type { AggregateDatabase } from "./interfaces.js";

export type OptionContractKey = {
  symbol: string;
  expirationDate: string;
  strike: number;
  type: "call" | "put";
};

export type OptionContractDatabase = AggregateDatabase<OptionContractKey> & {
  getOptionContracts: AggregateDatabase<OptionContractKey>["getKeys"];
};
