import { open } from 'lmdbx'; // or require

const MAXIMUM_KEY = Buffer.from([0xff]);

// or in deno: import { open } from 'https://deno.land/x/lmdbx/mod.ts';
const myDB = open({
	path: '/tmp/my.db',
	// any options go here, we can turn on compression like this:
	compression: true,
});
await myDB.put(["a","b"], "ab");
await myDB.put(["a","c"], "ac");
await myDB.put(["a","d"], "ad");
await myDB.put(["b","a"], "ba");
await myDB.put(["b","c"], "bc");

console.log(Array.from(myDB.getRange({start: ["a"], end: ["a", MAXIMUM_KEY]}).asArray))